Package org.apache.tomcat.util.net

# Interface SocketWrapperBase.CompletionCheck

Enclosing class:
  SocketWrapperBase<E>

public static interface SocketWrapperBase.CompletionCheck

## Method Summary

Modifier and Type
Method
Description
`SocketWrapperBase.CompletionHandlerCall`
`callHandler(SocketWrapperBase.CompletionState state, ByteBuffer[] buffers, int offset, int length)`
Determine what call, if any, should be made to the completion handler.

## Method Details

### callHandler

SocketWrapperBase.CompletionHandlerCall callHandler(SocketWrapperBase.CompletionState state, ByteBuffer[] buffers, int offset, int length)
Determine what call, if any, should be made to the completion handler.

Parameters:
  `state` - of the operation (done or done in-line since the IO call is done)
  `buffers` - ByteBuffer[] that has been passed to the original IO call
  `offset` - that has been passed to the original IO call
  `length` - that has been passed to the original IO call
Returns:
  The call, if any, to make to the completion handler